MDaemon Technologies Blog

Critical Hotfix Available for MailStore Server & SPE 12.1.3

By Brad Wyro

MailStore_Critical_Update

MailStore has released an important security fix for their Outlook Add-In.

The MailStore development team recently discovered an issue regarding certificate validation during login, which has been fixed in version 12.1.3 of the Outlook Add-In.

Users will first need to update MailStore Server to the latest version 12.1.3. You can download this update here.

Once MailStore Server has been updated, all Outlook clients should be updated with the latest Outlook Add-In, which can be downloaded here.

You can learn more about this update on MailStore’s blog.

Tags: Archive, Product Updates, Email Archiving

Brad Wyro

Written by Brad Wyro

BACK TO ALL ARTICLES

Subscribe to Email Updates